APIs / YouTube / Channel Videos

YouTube: Channel Videos

Channel Videos from YouTube as JSON. 1 credit per successful call.

GET /v1/youtube/channel-videosNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
channel_idstringOptionalUp to 100 characters
channelIdstringOptionalUp to 100 characters
limitintegerOptionalAny
pageintegerOptionalAny
sortstringOptionalnewest, popular, oldest
typestringOptionalvideos, shorts, live, podcasts
continuationstringOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/youtube/channel-videos?channel_id=UCX6OQ3DkcsbYNE6H8uQQuVA" \
  -H "X-API-Key: $API_KEY"